# Get Endpoint - GetSharePointSyncTargets

Returns list of SharePoint sync targets.

# HTTP Request

One of the following requests should be made:

GET /odata/sharepointsynctargets
GET /odata/sharepointsynctargets/$count

The endpoint supports the following OData query parameters: $select, $expand

# Query parameters

Name Description
repository optional. Destination repository key.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization

# Responses

Code Description Type
200 If the load of SharePoint sync targets was successful. array SharepointSyncTargetEntity
400 If provided request data is invalid.
500 When an server error occurs during the load of SharePoint sync targets.

# Example

# Request

The following is an example of how to call the endpoint:

GET /odata/sharepointsynctargets?repository=repo1

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

{
  "@odata.context": "https://elosyncurl/odata/$metadata#SharepointSyncTargets",
    "value": [
        {
            "eloSystemSyncTargetId": 1,
            "folderName": "OneDrive",
            "folderId": "14513"
        },
        {
            "eloSystemSyncTargetId": 2,
            "folderName": "DriveMe",
            "folderId": "14535"
        },
        //...
    ],
    "@odata.nextLink": "Link for the next 100 items"
}
Zuletzt aktualisiert: 7. Februar 2025 um 08:35